Bug 41860 - kdeadmin won't rebuild
kdeadmin won't rebuild
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kdeadmin (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-22 13:26 EDT by Vladimir Kondratiev
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-22 13:26:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Kondratiev 2001-05-22 13:26:55 EDT
Description of Problem:
When I try to build kdeadmin from src rpm, it won't build.
I was suggested to rebuild from source in order to work around bug 41859
(kpackage and gnorpm do not work)

How Reproducible: 
Always

Steps to Rrproduce:
1. rpm --rebuild kdeadmin-2.2-0.alpha1.1.src.rpm

Actual Results:
(last few lines)
checking for Qt... libraries /usr/lib/qt-2.3.0/lib
checking if Qt compiles without flags... no
checking for moc... /usr/bin/moc
checking for rpath... yes
checking for bool... yes
configure: error: can only configure for one host and one target at a time
error: Bad exit status from /var/tmp/rpm-tmp.21007 (%build)

Expected Results:

Additional Information:
All packages are from RawHide distribution.
rawhide-release-20010515-1.rpm
Comment 1 Bernhard Rosenkraenzer 2001-05-22 13:41:42 EDT
0.alpha2.1 works here.

Comment 2 Bernhard Rosenkraenzer 2001-05-22 13:42:07 EDT
Chances are you're using a broken autoconf, make sure you're using 2.13.
Comment 3 Vladimir Kondratiev 2001-05-23 02:44:43 EDT
tho notes:
1. there is no 0.alpha2.1 for kdeadmin. there is kdeadmin-2.2-0.alpha1.1.src.rpm
2. on rawhide, there is autoconf-2.14.9-2.src.rpm. Do you mean this version is
broken? Should I get previous version from, say, rh7.1?
Comment 4 Bernhard Rosenkraenzer 2001-05-23 02:57:15 EDT
1. It is in the tree that will be rawhide the next time someone decides to 
push it to ftp (and no, I can't do that)
2. Yes. 2.14.9 was an attempt to see if it breaks things or if it works 
better. We've decided the former is the case and reverted it.

Note You need to log in before you can comment on or make changes to this bug.